@import "src/@fuse/scss/fuse";

:host {

    .header {

        .search-input-wrapper {
            max-width: 480px;
        }

        @include media-breakpoint-down(xs) {
            height: 176px !important;
            min-height: 176px !important;
            max-height: 176px !important;
        }
    }

    .top-bg {
        position: absolute;
        z-index: 1;
        top: 0;
        right: 0;
        left: 0;
        height: 200px ;
        background-image: $top-bg-image;
        background-size: cover;
        
        @include media-breakpoint-down(xs) {
            height: 240px;
        }
    }

    .products-table {
        flex: 1 1 auto;
        border-bottom: 1px solid rgba(0, 0, 0, .12);
        overflow: auto;

        .mat-header-row {
            min-height: 64px;
        }

        .product {
            position: relative;
            cursor: pointer;
            height: 84px;
        }

        .mat-cell {
            min-width: 0;
            display: flex;
            align-items: center;
        }

        .mat-column-id {
            flex: 0 1 84px;
        }

        .mat-column-image {
            flex: 0 1 84px;

            .product-image {
                width: 52px;
                height: 52px;
                border: 1px solid rgba(0, 0, 0, .12);
            }
        }

        .mat-column-buttons {
            flex: 0 1 80px;
        }

        .quantity-indicator {
            display: inline-block;
            vertical-align: middle;
            width: 8px;
            height: 8px;
            border-radius: 4px;
            margin-right: 8px;

            & + span {
                display: inline-block;
                vertical-align: middle;
            }
        }

        .active-icon {
            border-radius: 50%;
        }
    }
}
